#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A library of functions for controlling audio CD-ROM players
Summary(fr.UTF-8):	Une bibliothèque pour le contrôle des lecteurs de CD-ROMS audio
Summary(it.UTF-8):	Una libreria di funzioni per controllare i lettori di CD-AUDIO
Summary(pl.UTF-8):	Biblioteka funkcji sterujących odtwarzaniem muzycznych płyt CD
Summary(sk.UTF-8):	Knižnica funkcií pre ovládanie prehrávačov zvukových CD-ROM
Name:		libcdaudio
Version:	0.99.12p2
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libcdaudio/%{name}-%{version}.tar.gz
# Source0-md5:	15de3830b751818a54a42899bd3ae72c
Patch0:		deansi.patch
URL:		http://libcdaudio.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs. It also contains
functions for CDDB and CD Index lookup.

%description -l fr.UTF-8
libcdaudio est une bibliothèque pour développer des lecteurs de CDs.
Elle comprend le jeu de commandes de base pour contrôler la lecture
des CDs ainsi que des fonctions d'accès à CDDB, à CD index et Cover
Art Index.

%description -l it.UTF-8
libcdaudio e' un librerie per lo sviluppo di lettori di CD audio che
include un set base di comandi per controllare le operazioni del
lettore CD-ROM cosi' come funzioni per accedere ai CDDB, i CD indice,
i cd di cover art.

%description -l pl.UTF-8
libcdaudio jest biblioteką zapewniającą funkcje kontrolujące działanie
CD-ROMu podczas odtwarzania płyt muzycznych. Wspiera również zapytania
CDDB i CD Index.

%description -l sk.UTF-8
libcdaudio je knižnica pre vývoj CD prehrávačov, obsahujúca základnú
sadu príkazov pre ovládanie CD-ROM jednotky, ako aj funkcie pre
prístup k CDDB, CD indexu a indexu obalov.

%package devel
Summary:	Header files and libraries for libcdaudio development
Summary(cs.UTF-8):	Knihovny a hlavičkové soubory pro vývoj s libcdaudio
Summary(fr.UTF-8):	Fichiers en-tête et bibliothèques de développement pour libcdaudio
Summary(it.UTF-8):	File header e librerie per lo sviluppo con libcdaudio
Summary(pl.UTF-8):	Biblioteki i pliki nagłówkowe libcdaudio
Summary(sk.UTF-8):	Hlavičkové súbory a knižnice pre vývoj s libcdaudio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libcdaudio-devel package provides the header files and libraries
needed for libcdaudio development.

%description devel -l fr.UTF-8
Le paquetage libcdaudio-devel fournit les ent^etes pour utiliser cette
bibliothèque.

%description devel -l it.UTF-8
Il pacchetto libcdaudio-devel contiene i file header e le librerie
necessarie lo sviluppo con libcdaudio.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe libcdaudio.

%description devel -l sk.UTF-8
Balík libcdaudio-devel poskytuje hlavičkové súbory a knižnice potrebné
pre vývoj s použitím libcdaudio.

%package static
Summary:	libcdaudio static library
Summary(cs.UTF-8):	Statické knihovny pro vývoj s libcdaudio
Summary(fr.UTF-8):	Bibliothèques statiques de développement pour libcdaudio
Summary(it.UTF-8):	Librerie statiche per lo sviluppo con libcdaudio
Summary(pl.UTF-8):	Biblioteka statyczna libcdaudio
Summary(sk.UTF-8):	Statické knižnice pre vývoj s libcdaudio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The libcdaudio-static package provides static library needed for
libcdaudio development.

%description static -l it.UTF-8
Il pacchetto libcdaudio-static contiene le librerie statiche
necessarie lo sviluppo con libcdaudio.

%description static -l pl.UTF-8
Biblioteka statyczna libcdaudio.

%description static -l sk.UTF-8
Balík libcdaudio-static poskytuje statické knižnice potrebné pre vývoj
s použitím libcdaudio.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libcdaudio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdaudio.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libcdaudio-config
%attr(755,root,root) %{_libdir}/libcdaudio.so
%{_libdir}/libcdaudio.la
%{_includedir}/cdaudio.h
%{_aclocaldir}/libcdaudio.m4
%{_pkgconfigdir}/libcdaudio.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcdaudio.a
%endif
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcdaudio.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 795b04e
- x32 rebuild
- release 4 (by relup.sh)

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> f58137c
- verbose files, added docs

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> b279e36
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 52d821f
- downloads.sourceforge.net

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ada45dd
- added deansi.patch
- ghost
- rel 3

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 15947c7
- latest autotools do not support ansi2knr

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 985b968
- rel 2

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 5973604
- added missing #

* Sun Jun 17 2007 witekfl <witekfl@pld-linux.org> 1656110
- in sources LGPL is mentioned as the license

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9cb280b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 234d387
- converted to UTF-8

* Mon Feb 06 2006 Karol Krenski <charles@pld-linux.org> bc1d88c
- added *.pc to -devel

* Sun Feb 05 2006 luzik <luzik@pld-linux.org> 0910fff
- outdated

* Sun Feb 05 2006 luzik <luzik@pld-linux.org> a4a1b51
- updated to 0.99.12p2
- fixed url
- removed outdated patch

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> e8e8bd2
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> e16887e
- s/bcond_without static/bcond_without static_libs/

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 191b48e
- added bcond_without static

* Fri Feb 13 2004 Jakub Bogusz <qboosh@pld-linux.org> 1737a67
- oops, this time really added am18 patch; release 4

* Thu Feb 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 2123693
- added am18 patch, fixed ac/am rebuild; release 3

* Thu Feb 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 6b01216
- libcdaudio.m4 quotation fix

